local core=require("core")
  function intdiv(x,y)
    local res=x/y
    return math.floor(res),x-(math.floor(res))*y
  end
  function numberToByteCode(x)
    local line=""
    local res1,res2=intdiv(x,256)
      if res1 > 255 or res1==0 then
        line=string.char(res2)..line
      elseif res1 > 0 then
        line=string.char(res1)..string.char(res2)..line
      end
    while res1 > 0 do
      res1,res2=intdiv(res1,256)
      if res1 > 255 then
        line=string.char(res2)..line
      elseif res1 > 0 then
        line=string.char(res1)..string.char(res2)..line
      end
    end
    return line
  end
function byteCodeToNumber(x)
    local y=0
    local z=0
    for n=#x,1,-1 do
      y=y+(x:sub(n,n):byte())*256^z
      z=z+1
    end
    return y
  end
function numberTo32(n)
  local bytecode=numberToByteCode(n)
  local size=#bytecode
  if size > 4 then
    bytecode="\255\255\255\255"
  elseif size < 4 then
    bytecode=string.rep("\0",4-size)..bytecode
  end
  return bytecode
end