local core=require("core")
function core.playclient(ip,name,rectbg)
  local RESPAWN=true
  while true do
    local resize=core.resize
    local mc = name=="Minecraft"
    local autospin=false
    love.audio.setDistanceModel("linear")
    local client=socket.tcp()
    love.keyboard.setKeyRepeat(false)
    local img2=love.graphics.newImage(mc and "tshmc.png" or "texturesheet.png")
    local blockimg2=love.graphics.newImage(mc and "bmc.png" or "block.png")
    local destroyimg2=love.graphics.newImage(mc and "dmc.png" or "destroy.png")
    local grassbg2=love.graphics.newImage(mc and "gbgmc.png" or "grassbg.png")
    local is=core.lowq and 0.125 or 1
    local img=resize(img2,is)
    local blockimg=resize(blockimg2,is)
    local destroyimg=resize(destroyimg2,is)
    local grassbg=resize(grassbg2,is)
    local bgout=love.graphics.newSpriteBatch(grassbg)
    local is2=is
    local soundsToPlay={}
    is=is*(img2:getHeight()/88)
    --if not core.lowq then
    --  img:setFilter("linear","linear")
    --  blockimg:setFilter("linear","linear")
    --end
    --local block=love.graphics.newQuad(88*0*is,0*is,88*is,88*is,528*is,88*is)
    local blocks={}
    blocks[8]=love.graphics.newQuad(0,0,88*is,88*is,704*is,88*is)
    blocks[7]=love.graphics.newQuad(88*1*is,0,88*is,88*is,704*is,88*is)
    blocks[6]=love.graphics.newQuad(88*2*is,0,88*is,88*is,704*is,88*is)
    blocks[5]=love.graphics.newQuad(88*3*is,0,88*is,88*is,704*is,88*is)
    blocks[4]=love.graphics.newQuad(88*4*is,0,88*is,88*is,704*is,88*is)
    blocks[3]=love.graphics.newQuad(88*5*is,0,88*is,88*is,704*is,88*is)
    blocks[2]=love.graphics.newQuad(88*6*is,0,88*is,88*is,704*is,88*is)
    blocks[1]=love.graphics.newQuad(88*7*is,0,88*is,88*is,704*is,88*is)
    local destroys={}
    destroys[8]=love.graphics.newQuad(0,0,88*is,88*is,704*is,88*is)
    destroys[7]=love.graphics.newQuad(88*1*is,0,88*is,88*is,704*is,88*is)
    destroys[6]=love.graphics.newQuad(88*2*is,0,88*is,88*is,704*is,88*is)
    destroys[5]=love.graphics.newQuad(88*3*is,0,88*is,88*is,704*is,88*is)
    destroys[4]=love.graphics.newQuad(88*4*is,0,88*is,88*is,704*is,88*is)
    destroys[3]=love.graphics.newQuad(88*5*is,0,88*is,88*is,704*is,88*is)
    destroys[2]=love.graphics.newQuad(88*6*is,0,88*is,88*is,704*is,88*is)
    destroys[1]=love.graphics.newQuad(88*7*is,0,88*is,88*is,704*is,88*is)
    local function normalizeAngle(angle)
      local a=angle
      local fa=math.pi*2
      while a < -math.pi do
        a=a+fa
      end
      while a > math.pi do
        a=a-fa
      end
      return a
    end
    local function parseimg2(p)
      local gx,gy=44,44
      if love.filesystem.exists("data/resources/skinconf.cfg") then
        local skincfgfunc=loadstring(love.filesystem.read("data/resources/skinconf.cfg"))
        local skin={}
        pcall(setfenv(skincfgfunc,{skin=skin,huge=math.huge}))
        gx,gy=skin.gunx or 44, skin.guny or 44
      end
      return {img=p,gx=gx,gy=gy}
    end
    local function parseimg(p)
      local img,img1
      pcall(function()img=love.image.newImageData(love.filesystem.newFileData(p.img,"SKIN.PNG"))
      img1=love.graphics.newImage(img)end)
      if img and img1 then
      local w,h=img2:getWidth(),img2:getHeight()
      --img2=resize(img1,(h/88)*is2)
      return {img=img1,gx=p.gx,gy=p.gy}
      end
    end
    local skins={}
    local smyCar=love.graphics.newQuad(88*0*is,0*is,88*is,88*is,264*is,88*is)
    local senemyCar=love.graphics.newQuad(88*1*is,0*is,88*is,88*is,264*is,88*is)
    local sgun=love.graphics.newQuad(88*2*is,0*is,88*is,88*is,264*is,88*is)

    local blockbg=love.graphics.newQuad(88*1*is,0*is,88*is,88*is,528*is,88*is)
    local myCar=love.graphics.newQuad(88*2*is,0*is,88*is,88*is,528*is,88*is)
    local enemyCar=love.graphics.newQuad(88*3*is,0*is,88*is,88*is,528*is,88*is)
    local gun=love.graphics.newQuad(88*4*is,0*is,88*is,88*is,528*is,88*is)
    local bullet=love.graphics.newQuad(88*5*is,0*is,88*is,88*is,528*is,88*is)
    local bg=love.graphics.newSpriteBatch(img)
    local ns=love.audio.newSource
    local gaster,defm,lowhpm,highlevelm,ultram,loser,leaderm=ns("gaster.mp3"),ns("defm.mp3"),ns("lowhpm.mp3"),ns("highlevelm.mp3"),ns("ultradm.mp3"),ns("loser.wav"),ns("leader.mp3")
    local function checkmusic(player)
      if core.music then
        if name=="Gaster" then
          gaster:play()
          gaster:setRelative(true)
          defm:stop()
          lowhpm:stop()
          highlevelm:stop()
          ultram:stop()
          leaderm:stop()
        elseif player.hp/player.maxhp < 0.4 then
          gaster:stop()
          defm:stop()
          lowhpm:play()
          lowhpm:setRelative(true)
          highlevelm:stop()
          ultram:stop()
          leaderm:stop()
        elseif player.leader then
          gaster:stop()
          defm:stop()
          lowhpm:stop()
          leaderm:play()
          leaderm:setRelative(true)
          highlevelm:stop()
          ultram:stop()
        elseif player.lvl >= 5 and player.lvl <= 10 then
          gaster:stop()
          defm:stop()
          lowhpm:stop()
          highlevelm:play()
          highlevelm:setRelative(true)
          ultram:stop()
          leaderm:stop()
        elseif player.lvl >= 11 then
          gaster:stop()
          defm:stop()
          lowhpm:stop()
          highlevelm:stop()
          ultram:play()
          ultram:setRelative(true)
          leaderm:stop()
        else
          gaster:stop()
          defm:play()
          defm:setRelative(true)
          lowhpm:stop()
          highlevelm:stop()
          ultram:stop()
          leaderm:stop()
        end
      else
        gaster:stop()
        defm:stop()
        lowhpm:stop()
        highlevelm:stop()
        ultram:stop()
        leaderm:stop()
      end
    end
    local snds={}
    local strings={}
    local applyStrings
    applyStrings=function(obj)
      for k,v in pairs(obj) do
        if type(v)=="table" then
          applyStrings(v)
        end
      end
      if type(obj)=="table" and type(obj.objid)=="number" then
        if strings[obj.objid] then
          for name,str in pairs(strings[obj.objid]) do
            if obj[name]==nil then
              obj[name]=(str)
            end
          end
        else
          return false,"no data in database",type(obj)=="table" and obj.name
        end
      else
        return false,"invalid data",type(obj)=="table" and obj.name
      end
      return true,type(obj)=="table" and obj.name
    end
    snds.shot = core.newSource("shot.wav",1)
    snds.collision = core.newSource("collision.ogg",1)
    snds.hurt= core.newSource("hurt.wav",1)
    snds.death=core.newSource("death.ogg",1)
    snds.lvlup=core.newSource("lvlup.mp3",1)
    local carsounds={}
    local scale=0
    local targetscale=0.5
    local prevw,prevh=0,0
    local function updatebg(w,h,cx,cy)
      if w ~=prev2 and h ~= prevh then
        bg:setBufferSize(math.ceil((w)/88+1)*math.ceil((h)/88+1))
        bg:clear()
        for x=0,math.clamp(math.ceil((w)/88),0,cx)*88,88 do
          for y=0,math.clamp(math.ceil((h-1)/88),0,cy)*88,88 do
            bg:add(blockbg,x,y,0,1/is,1/is)
          end
        end
        bgout:clear()
        bgout:setBufferSize(math.ceil((w)/800+1)*math.ceil((h)/600+1))
        for x=0,math.ceil((w-1)/800)*800,800 do
          for y=0,math.ceil((h-1)/600)*600,600 do
            bgout:add(x,y,0,1/is2,1/is2)
          end
        end
      end
      prevw,prevh=w,h
    end
    --updatebg()
    client:settimeout(10)
    print(core.dat(nil,"Connecting to server..."))
    local ok,err = client:connect(#ip > 1 and ip or "127.0.0.1",30517)
    local traffic=0
    local prevtraffic=0
    local trafficsec=0
    local totrafficupdate=1
    local maxfps=30
    if (not ok) or err then
      core.message("Errored while connecting the server. "..err)
      return
    end
    
    local function send(msg)
      client:settimeout()
      local ok,err,i,j = client:send(numberTo32(#msg)..msg)
      traffic=traffic+#msg+4
      if ok then
        return true
      else
        --while not ok do
        --  ok,err=client:send(data:sub(j+1))
        --end
        return false,err
      end
    end
    local function dumpstr(s)
      local r=""
      for n=1,#s do
        r=r.."\\"..string.byte(s:sub(n,b))
      end
      return r
    end
    local function receive()
      local size,err=client:receive(4)
      if not size then
        return size,err
      end
      local s2=byteCodeToNumber(size)
      client:settimeout(0.05*s2)
      local line,err=client:receive(byteCodeToNumber(size))
      if line and ( s2 > #line or #line > s2 ) then
        return line,"received message is bigger/smaller than expected"
      end
      return line,(err and (err ~= "timeout" and tostring(err.." (after getting size (size is "..math.floor(s2/1024/1024*100)/100 .." MB , "..dumpstr(size).."))")) or err)
    end
    print(core.dat(nil,"Connection stage 1 completed."))
    function math.angle(x1,y1, x2,y2) return math.atan2(y2-y1, x2-x1)+math.rad(90) end
    local ti=0
    local serial=core.s
    local  outfunc=false
    local commands=""
    local function ssend(cmd)
      if #commands < 255-20 then
        commands=commands..cmd:sub(1,1)
      end
    end
    local Nomsg=false
    local prevscale=targetscale
    local realpowers={}
    function math.clamp(n,s1,s2)
      checkArg(1,n,"number")
      checkArg(2,s1,"number")
      checkArg(3,s2,"number")
      return math.max(s1,math.min(s2,n))
    end
    function packageskin(img,gx,gy)
      local res={}
      res.width=img:getWidth()
      res.height=img:getHeight()
      res.data={}
      for x=0,img:getWidth()-1 do
        res.data[x]={}
        for y=0,img:getHeight()-1 do
          res.data[x][y]={img:getPixel(x,y)}
        end
      end
      return res
    end
    local camera_x,camera_y=0,0
    local target_cx,target_cy=0,0
    local curX,curY=0,0
    local RESPAWN1=false
    local olddata={}
    if not (name == "Gaster" or name == "Oskar" or name == "Persik") then
    if love.filesystem.exists("data/resources/skin.png") then
      local img=love.filesystem.read("data/resources/skin.png")
      if #img > 1024*1024 then
        core.message("Too large skin")
      else
      print("SKIN: "..serial.serialize(img))
      send("\1"..name)
      send(serial.serialize(parseimg2(img)))
      end
    else
      print("SKIN: \"nil\"")
      send("\1"..name)
      send(serial.serialize(nil))
    end
    elseif name=="Gaster" then
      local img=love.filesystem.read("gaster.png")
      send("\1"..name)
      send(serial.serialize(parseimg2(img)))
    elseif name=="Oskar" then
      local img=love.filesystem.read("oskar.png")
      send("\1"..name)
      send(serial.serialize(parseimg2(img)))
    elseif name=="Persik" then
      local img=love.filesystem.read("persik.png")
      send("\1"..name)
      send(serial.serialize(parseimg2(img)))
    end
    local Timerc=core.createcounter()
    local playerx,playery=0,0
    local chat=""
    local chatalpha=255
    local chattimers={}
    local toSoundsPlay=0.05
    local ippos={}
    local isba=false
    local btnx,btny=0,0
    local updatePositions
    updatePositions= function (dat,dt)
      for i,obj in pairs(dat) do
        if type(obj)=="table" then
          updatePositions(obj,dt)
          local id=obj.objid
          if id and obj.x and obj.y and obj.r then
            if not ippos[id] then
              --print("Object "..id.." has not Interpolated Position!")
              ippos[id]={obj.x,obj.y,obj.r,obj.x,obj.y,obj.r}
            elseif dt then
              ippos[id][4],ippos[id][5],ippos[id][6]=obj.x,obj.y,obj.r
              local x,y,r,tx,ty,tr=ippos[id][1],ippos[id][2],ippos[id][3],ippos[id][4],ippos[id][5],ippos[id][6]
              x=x+((tx-x)*math.clamp(dt*88,0,1))
              y=y+((ty-y)*math.clamp(dt*88,0,1))
              r=r+((tr-r)*math.clamp(dt*math.pi*10,0,1))
              ippos[id][1]=x
              ippos[id][2]=y
              ippos[id][3]=r
              if ippos[id][1] and ippos[id][2] and ippos[id][3] then
              obj.x,obj.y,obj.r=ippos[id][1],ippos[id][2],ippos[id][3]
              end
            elseif ippos[id][1] and ippos[id][2] and ippos[id][3] then
              obj.x,obj.y,obj.r=ippos[id][1],ippos[id][2],ippos[id][3]
            end
          end
        end
      end
    end
    local leaderboard
    function math.dist(x1,y1, x2,y2) return ((x2-x1)^2+(y2-y1)^2)^0.5 end
    function math.rotatepoints(x,y,r)
      local dist=math.dist(0,0,x,y)
      local angle=math.angle(0,0,x,y)
      local resangle=angle+r
      local s,c=math.sin(resangle),-math.cos(resangle)
      return s*dist,c*dist
    end
          local function isNControlsActive()
            local active=false
            local id=love.keyboard.isDown
            if core.controls=="n/o" then
              active=active or id("w") or id("s") or id("a") or id("d")
            else
              active=active or id("up") or id("down") or id("left") or id("right")
            end
            return active
          end
    local boost=false
    local answered=true
    local tonextframe=0
    local trafficupdaterate=0.25
    local keys={}
    oinca=false
    while true do
      if Timerc:getDelta() < 1/24 then
        love.timer.sleep(Timerc:getDelta()-1/24)
      end
      Timerc:step()
      targetscale=math.clamp(targetscale,0.7,2)
      --print(targetscale)
      client:settimeout(5)
      if tonextframe <= 0 then
        tonextframe=1/maxfps
        if answered then
          local pl2
          if olddata.player then
          pl2=olddata.player
          else
          pl2={x=camera_x,y=camera_y,r=0}
          end
          pl2.x,pl2.y=pl2.x or 0, pl2.y or 0
          local stx,sty=-((camera_x-love.graphics.getWidth()/2*scale)+pl2.x),-((camera_y-love.graphics.getHeight()/2*scale)+pl2.y)
          --print(stx,sty)
          send("\2"..string.char(#commands+20)..commands..(boost and math.floor((pl2.r+math.pi)/(math.pi*2)*256^2) or (autospin and math.random(0,256^2) or math.floor(math.angle(love.graphics.getWidth()/2,love.graphics.getHeight()/2,love.mouse.getX()+stx,love.mouse.getY()+sty)/(math.pi*2)*(256^2)))))
          commands=""
          answered=false
        end
      end
      client:settimeout(1/60)
      local line,err = receive()
      if err and err ~= "timeout" then
        --if err ~= "timeout" then
        defm:stop()
        lowhpm:stop()
        highlevelm:stop()
        ultram:stop()
        gaster:stop()
        love.timer.sleep(0.25)
        love.audio.stop()
        for n,s in pairs(carsounds) do
          s:stop()
        end
        if not Nomsg then
          core.message("Disconnected. "..(err or "UNKNOWN ERROR"))
        end
        client:close()
        return
        --end
      elseif line then
        traffic=traffic+(line and (#line+4) or 0)
        answered=true
      end
      local data
      if line then
        data = serial.unserialize(line) or olddata
      else
        data=olddata
      end
      function kp(...)
        for n,s in ipairs({...}) do
          if type(s) == "table" then
            if love.keyboard.isDown(s[1]) then
              if s[2] then 
                s[2]()
              end
            else
              if s[3] then
                s[3]()
              end
            end
          end
        end
      end
      function keych(key,...)
        for n,s in ipairs({...}) do
          if type(s) == "table" then
            if key==s[1] then
              if s[2] then 
                s[2]()
              end
            end
          end
        end
      end
      local moves = {
        left=function()
          ssend("\5")
          --print(core.dat(nil,"MVL"))
        end,
        right=function()
          ssend("\6")
          --print(core.dat(nil,"MVR"))
        end,
        up=function()
          ssend("\3")
          --print(core.dat(nil,"MVU"))
        end,
        down=function()
          ssend("\4")
          --print(core.dat(nil,"MVD"))
        end
      }
      local smoves = {
        left=function()
          ssend("\9")
          --print(core.dat(nil,"MVLS"))
        end,
        right=function()
          ssend("\11")
          --print(core.dat(nil,"MVRS"))
        end,
        up=function()
          ssend("\7")
          --print(core.dat(nil,"MVUS"))
        end,
        down=function()
          ssend("\8")
          --print(core.dat(nil,"MVDS"))
        end
      }
      local function outcall(func)
        if type(func)=="function" then
          outfunc = func
        else
          print('BAD ARGUMENT TO OUTCALL')
        end
      end
      function love.keypressed(key)
        love.keyboard.setKeyRepeat(false)
        if key=="space" then
          ssend("\12")
        elseif key=="r" then
          ssend("\16")
        elseif key=="e" then
          autospin=not autospin
        elseif key=="g" then
          ssend("\19")
        elseif key=="m" then
          ssend("\18")
        elseif key=="h" then
          ssend("\20")
        elseif key=="b" then
          boost=not boost
        elseif key=="return" then
          outfunc=function()
            local msg=core.read("Chat> ","",core.scrsh(128))
            if #msg > 0 then
              send("\3"..msg)
            end
          end
        elseif key=="escape" then
          print(core.dat(nil,"Opening menu."))
          --outcall(
            local scr=core.scrsh(128)
            outfunc=function()
              --print(string.rep("X",123))
              local sel=1
              while true do
                local action,act=core.custommenu({
                  {title="Resume game.",action="resume"},
                  {title="Music: "..(core.music and "enabled" or "disabled"),action="music"},
                  {title="Sounds: "..(core.sounds and "enabled" or "disabled"),action="sounds"},
                  {title="Back to main menu",action="quit"}
                },"Pause menu",sel,{bg=scr,rectbg=rectbg})
                sel=act
                if action=="resume" then
                  break
                elseif action=="music" then
                  core.music=not core.music
                elseif action=="sounds" then
                  core.sounds=not core.sounds
                elseif action=="quit" then
                  ssend("\15")
                  Nomsg=true
                  break
                end
                if data and data.player then
                  checkmusic(data.player)
                end
              end
            end
          --)
        end
        keych(key,{"left",moves.left},{"right",moves.right},{"up",moves.up},{"down",moves.down},{"a",moves.left},{"d",moves.right},{"w",moves.up},{"s",moves.down})
      end
      function love.mousepressed(x,y,key)
        if math.dist(800-128-10,600-128-10,x,y) > 128 or not core.joysticke then
          if key==1 then
            ssend("\12")
          end
        else
          isba=true
          btnx,btny=0,0
        end
      end
      function love.mousereleased(x,y,key)
        if key==1 then
          ssend("\14")
        end
        if isba then
         smoves.up()
         smoves.down()
         smoves.left()
         smoves.right()
        end
        isba=false
        btnx,btny=0,0
      end
      function love.keyreleased(key)
        if key=="space" then
          ssend("\14")
        end
        if oinca then
          oinca=false
         smoves.up()
         smoves.down()
         smoves.left()
         smoves.right()
        end
        local ta={{"left",smoves.left},{"right",smoves.right},{"up",smoves.up},{"down",smoves.down}}
        local tk={{"a",smoves.left},{"d",smoves.right},{"w",smoves.up},{"s",smoves.down}}
        if core.controls=="n/o" then
          keych(key,unpack(ta))
        else
          keych(key,unpack(tk))
        end
      end
      function love.update(dt)
        xpcall(function()
        if data then
          if data.keys then
            for k,v in pairs(data.keys) do
              keys[k]=v
            end
            local applykeys
            applykeys=function (d)
              for k,v in pairs(d) do
                if type(v)=="table" then
                  applykeys(v)
                end
                if type(k)=="number" and k >=32767 then
                  local key=keys[k]
                  --print(k.." is "..tostring(key))
                  --print(key)
                  if key then
                    d[key]=d[k]
                    d[k]=nil
                  end
                end
              end
            end
            applykeys(data)
          end
          --print(pretty.serialize(data))
          if data.strings then
            for id,obj in pairs(data.strings) do
              strings[id]=obj
            end
          end
          do
            if data.objects then
              applyStrings(data.objects)
            end
            if data.player then
              applyStrings(data.player)
            end
          end
        end
        if data.player then
          local x,y=love.mouse.getX(),love.mouse.getY()
          local bx,by=800-128-10,600-128-10
          local rx,ry=x-bx,y-by
          local d=math.dist(0,0,rx,ry)
          if d > 128 then
            rx,ry=rx*(128/d),ry*(128/d)
          end
          if math.min(d,128) > 64 and isba then
            local x,y=btnx,btny
            local pa=normalizeAngle(data.player.r)
            local a=normalizeAngle(math.angle(0,0,x,y))
            local a2=a-normalizeAngle(pa)
            --print("Player angle: ",math.floor(math.deg(pa)),"\nJoystick angle: ",math.floor(math.deg(a2)),"\nJoystickPosition:",x,y,"\n")
            if a2 ~= 0 then
              local a2=normalizeAngle(a-normalizeAngle(pa))
              local a3=normalizeAngle(a-normalizeAngle(pa+math.rad(180)))
              local a4=math.min(math.abs(a2),math.abs(a3))
              if a4==math.abs(a2) then
                a4=a2
              elseif a4==math.abs(a3) then
                a4=a3
              end
              if a4==a2 then
                if a4 < 0 then
                  moves.up()
                  smoves.down()
                  moves.left()
                  smoves.right()
                elseif a4 > 0 then
                  moves.up()
                  smoves.down()
                  smoves.left()
                  moves.right()
                end
              elseif a4==a3 then
                if a4 < 0 then
                  smoves.up()
                  moves.down()
                  moves.left()
                  smoves.right()
                elseif a4 > 0 then
                  smoves.up()
                  moves.down()
                  smoves.left()
                  moves.right()
                end
              end
            end
          end
          btnx,btny=rx,ry
          if isNControlsActive() then
            oinca=true
            local x,y=0,0
            do
              local id=love.keyboard.isDown
              if id("w") or id("up") then
                y=y-1
              end
              if id("s") or id("down") then
                y=y+1
              end
              if id("a") or id("left") then
                x=x-1
              end
              if id("d") or id("right") then
                x=x+1
              end
            end
            local pa=normalizeAngle(data.player.r)
            local a=normalizeAngle(math.angle(0,0,x,y))
            local a2=a-normalizeAngle(pa)
            --print("Player angle: ",math.floor(math.deg(pa)),"\nJoystick angle: ",math.floor(math.deg(a2)),"\nJoystickPosition:",x,y,"\n")
            if a2 ~= 0 then
              local a2=normalizeAngle(a-normalizeAngle(pa))
              local a3=normalizeAngle(a-normalizeAngle(pa+math.rad(180)))
              local a4=math.min(math.abs(a2),math.abs(a3))
              if a4==math.abs(a2) then
                a4=a2
              elseif a4==math.abs(a3) then
                a4=a3
              end
              if a4==a2 then
                if a4 < 0 then
                  moves.up()
                  smoves.down()
                  moves.left()
                  smoves.right()
                elseif a4 > 0 then
                  moves.up()
                  smoves.down()
                  smoves.left()
                  moves.right()
                end
              elseif a4==a3 then
                if a4 < 0 then
                  smoves.up()
                  moves.down()
                  moves.left()
                  smoves.right()
                elseif a4 > 0 then
                  smoves.up()
                  moves.down()
                  smoves.left()
                  moves.right()
                end
              end
            end
          end
        end
        --ti=ti+dt
        toSoundsPlay=toSoundsPlay-dt
        --if data and data.player then
        --  local vx,vy=data.player.x-curX,data.player.y-curY
        --  love.audio.setVelocity( vx/dt/88, vy/dt/88, 0 )
        --  curX,curY=data.player.x,data.player.y
        --end
        tonextframe=tonextframe-dt
        if data then
          updatePositions(data,dt)
        end
        for n=1,10 do
          local v=table.remove(soundsToPlay)
          if v then
            if snds[v[1]] then
              if core.sounds then
              local source=snds[v[1]]:clone()
              --print("PLAYING SOUND "..v[1])
              source:setPosition(v[2],v[3],0)
              if core.music then
                source:setVolume(0.06)
              end
              source:setAttenuationDistances( 88, 400 )
              source:play()
              end
            else
              print("INVALID SOUND: "..v[1])
            end
          end
        end
        totrafficupdate=totrafficupdate-dt
        if totrafficupdate <= 0 then
          trafficsec=(traffic-prevtraffic)/math.max(dt,trafficupdaterate)
          prevtraffic=traffic
          totrafficupdate=trafficupdaterate
          if trafficsec/1024/1024 > core.maxtraffic and maxfps > 16 then
            maxfps=maxfps-2
          elseif trafficsec/1024/1024 < core.maxtraffic and maxfps < 120 then
            maxfps=maxfps+2
          end
        end
        for k,v in pairs(chattimers) do
          chattimers[k][1]=v[1]+dt
          if v[1] >=5 then
            for n=1,v[2] do
              chat=core.deleteline(chat)
            end
          end
          if v[1]>=5 then
            table.remove(chattimers,k)
          end
        end
        local _,t=core.font:getWrap(chat,love.graphics.getWidth()/2*core.getFontScale(core.font)/2)
        local h=#t*24
        if love.graphics.getHeight()/2 < h then
          print(love.graphics.getHeight()/2,h,#t,core.font:getHeight())
          chat=core.deleteline(chat)
          table.remove(chattimers,1)
        end
        if #chat==0 then
          chatalpha=math.clamp(chatalpha-255*dt,0,255)
        else
          chataplha=255
        end
        scale=scale+(targetscale-scale)*math.clamp(dt*2,0,1)
        camera_x=camera_x+(target_cx-camera_x)*math.clamp(dt*8,0,1)
        camera_y=camera_y+(target_cy-camera_y)*math.clamp(dt*8,0,1)
        local width = love.graphics.getWidth()*scale
        local height = love.graphics.getHeight()*scale
        if data and data.objects then
          pls={}
          for k,v in pairs(data.objects) do
            if v.type=="player" then
              pls[v.name]=v
            end
          end
          --[[for k,v in pairs(pls) do
            if not carsounds[k] then
              carsounds[k]=snds.car:clone()
            end
            realpowers[k]=(realpowers[k] or 0)+(v.power-(realpowers[k] or 0))*dt*2
            local snd=carsounds[k]
            pcall(function() snd:setPitch(math.clamp(realpowers[k]*0.5,0,3)) end)
            snd:setVolume(1)
            snd:setPosition(v.x,v.y)
            snd:setAttenuationDistances( 88, 400 )
            snd:play()
          end
          for k,v in pairs(carsounds) do
            if not pls[k] then
              v:stop()
              carsounds[k]=nil
            end
          end]]
        end
        if dt < 1/60 then
          love.timer.sleep(dt-1/60)
        end
        end,print)
      end
      local draws={
        player=function(player,sc,a,bounds)
          local img,myCar,enemyCar,gun,gx,gy=img,myCar,enemyCar,gun,44,44
          if skins[player.name] then
            img,myCar,enemyCar,gun,gx,gy=skins[player.name].img,smyCar,senemyCar,sgun,skins[player.name].gx or 44,skins[player.name].gy or 44
          end
          local sc,a = sc or 1, a or 1
          --if player.x ==math.clamp(player.x,bounds[1]-88*sc,bounds[3]+88*sc) and player.y==math.clamp(player.y,bounds[2]-88*sc,bounds[4]+88*sc) then
            love.graphics.setColor(255*((player.hp/player.maxhp)),255*((player.hp/player.maxhp)),255*((player.hp/player.maxhp)),(256/20-1)*a)
            local x,y=player.x+((math.random()-math.random())*44*(1-player.hp/player.maxhp)),player.y+((math.random()-math.random())*44*(1-player.hp/player.maxhp))
            if player.name==name then
              if not core.lowq then
              for n=1,1.25,0.0125 do
                love.graphics.draw(img,myCar,x,y,player.r,n/is,n/is,44*is,44*is)
              end
              end
              love.graphics.push()
              love.graphics.translate(player.x,player.y)
              love.graphics.scale(sc,sc)
              if player.indtime == 0 then
              love.graphics.setColor(255,0,0,128*a)
              else
              love.graphics.setColor(255,255,255,128*a)
              end
              love.graphics.rectangle("fill",-44+88*(player.hp/player.maxhp),-60,88*(1-player.hp/player.maxhp),20)
              if player.indtime == 0 then
              love.graphics.setColor(0,255,0,128,128*a or 1)
              else
              love.graphics.setColor(255,255,255,128*(a or 1))
              end
              love.graphics.rectangle("fill",-44,-60,88*(player.hp/player.maxhp),20)
              if player.tofire then
              love.graphics.setColor(0,0,255,255)
              love.graphics.rectangle("fill",-44,40,88*(player.tofire),20)
              love.graphics.setColor(255,0,0,255)
              love.graphics.rectangle("fill",-44+88*(player.tofire),40,88*(1-player.tofire),20)
              love.graphics.setColor(255,255,255,255)
              end
              local w,h=love.graphics.getWidth(),love.graphics.getHeight()
              love.graphics.setColor(255,255,255,255*a)
              love.graphics.printf(player.name, -w/4, -60, love.graphics.getWidth()/2,"center",0,1)
              love.graphics.printf(player.msg, -w/4, 60, love.graphics.getWidth()/2,"center",0,1)
              love.graphics.pop()
              love.graphics.setColor(255,255,255,255*a)
              love.graphics.draw(img,myCar,player.x,player.y,player.r,sc/is,sc/is,44*is,44*is)
              love.graphics.draw(img,gun,player.x,player.y,player.gunangle,sc/is,sc/is,gx*is,gy*is)
            else
              if not core.lowq then
              for n=1,1.25,0.0125 do
                love.graphics.draw(img,enemyCar,x,y,player.r,n/is,n/is,44*is,44*is)
              end
              end
              love.graphics.push()
              love.graphics.translate(player.x,player.y)
              love.graphics.scale(sc,sc)
              if player.indtime == 0 then
              love.graphics.setColor(255,0,0,128*a)
              else
              love.graphics.setColor(255,255,255,128*a)
              end
              love.graphics.rectangle("fill",-44+88*(player.hp/player.maxhp),-60,88*(1-player.hp/player.maxhp),20)
              if player.tofire then
              love.graphics.setColor(0,0,255,255)
              love.graphics.rectangle("fill",-44,40,88*(player.tofire),20)
              love.graphics.setColor(255,0,0,255)
              love.graphics.rectangle("fill",-44+88*(player.tofire),40,88*(1-player.tofire),20)
              love.graphics.setColor(255,255,255,255)
              end
              if player.indtime == 0 then
              love.graphics.setColor(0,255,0,128,128*a or 1)
              else
              love.graphics.setColor(255,255,255,128*(a or 1))
              end
              love.graphics.rectangle("fill",-44,-60,88*(player.hp/player.maxhp),20)
              local w,h=love.graphics.getWidth(),love.graphics.getHeight()
              love.graphics.setColor(255,255,255,255*a)
              love.graphics.printf(player.name, -w/4, -60, love.graphics.getWidth()/2,"center",0,1)
              love.graphics.printf(player.msg, -w/4, 60, love.graphics.getWidth()/2,"center",0,1)
              love.graphics.pop()
              love.graphics.setColor(255,255,255,255*a)
              love.graphics.draw(img,enemyCar,player.x,player.y,player.r,sc/is,sc/is,44*is,44*is)
              love.graphics.draw(img,gun,player.x,player.y,player.gunangle,sc/is,sc/is,44*is,44*is)
            end
            if player.points then
              love.graphics.polygon("line",unpack(player.points or {}))
            end
          --end
        end,
        bullet=function(b,sc,a,bounds)
          local a,sc=a or 1,sc or 1
          --if b.x ==math.clamp(b.x,bounds[1]-88*sc,bounds[3]+88*sc) and b.y==math.clamp(b.y,bounds[2]-88*sc,bounds[4]+88*sc) then
          local sc,a = sc or 1, a or 1
          local color=false
          if b.colorizer then
            color = setfenv(loadstring(b.colorizer,""),{e=b,huge=math.huge})()
          end
          color = type(color)=="table" and color or {0,0,0}
          if not core.lowq then
          love.graphics.setColor(color[1] or 0,color[2] or 0,color[3] or 0,255/(10*sc/1)*a)
          for r=0,10*sc,1 do
            love.graphics.circle("fill",b.x,b.y,r,math.ceil(25*scale))
          end
          else
          love.graphics.setColor(color[1] or 0,color[2] or 0,color[3] or 0,255*a)
          love.graphics.circle("fill",b.x,b.y,10*sc,8)
          end
          --end
        end,
        block=function(b,sc,a,bounds)
          local a,sc=a or 1,sc or 1
          --if b.x ==math.clamp(b.x,bounds[1]-88*sc,bounds[3]+88*sc) and b.y==math.clamp(b.y,bounds[2]-88*sc,bounds[4]+88*sc) then
          local sc,a = sc or 1,a or 1
          local color=false
          if b.colorizer then
            color = setfenv(loadstring(b.colorizer,""),{e=b,huge=math.huge})()
          end
          color = type(color)=="table" and color or {255,255,255}
          love.graphics.setColor(color[1] or 255,color[2] or 255,color[3] or 255,255*a)
          local shiftx,shifty=-44,-44
          --if b.hp and b.maxhp then
          --  shiftx=(math.random()*2-1)*44*sc*(1-b.hp/b.maxhp)
          --  shifty=(math.random()*2-1)*44*sc*(1-b.hp/b.maxhp)
          --end
          love.graphics.draw(blockimg,blocks[8],b.x+shiftx,b.y+shifty,b.r,sc/is,sc/is,44*is,44*is)
          love.graphics.draw(destroyimg,destroys[math.clamp(math.ceil(b.hp/b.maxhp*8),1,8)],b.x+shiftx,b.y+shifty,b.r,sc/is,sc/is,44*is,44*is)
          if b.points then
            love.graphics.polygon("line",unpack(b.points or {}))
          end
          --end
        end,
        explosion=function(e,sc,a,bounds)
          if not core.lowq then
          local color=false
          if e.colorizer then
            color = setfenv(loadstring(e.colorizer,""),{e=e,huge=math.huge})()
          end
          color = type(color)=="table" and color or {255,255,255}
          local a,sc=a or 1,sc or 1
          --if e.x ==math.clamp(e.x,bounds[1]-88*sc,bounds[3]+88*sc) and e.y==math.clamp(e.y,bounds[2]-88*sc,bounds[4]+88*sc) then
          love.graphics.setColor(color[1] or 255,color[2] or 255 ,color[3] or 255,255*(1-e.pos))
          local startpos=e.size*e.pos
          for n=startpos,startpos+e.csize,scale*math.max(core.getDimensionsRate()) do
            love.graphics.circle("line",e.x,e.y,n,25)
          end
          --end
          end
        end,
        destroy=function(e,sc,a,bounds,draws)
          if not core.lowq then
          local a,sc=a or 1,sc or 1
          local x,y=e.obj.x,e.obj.y
          --if x ==math.clamp(x,bounds[1]-88*sc,bounds[3]+88*sc) and y==math.clamp(y,bounds[2]-88*sc,bounds[4]+88*sc) then
          local sc=sc or 1
          local a = a or 1
          local sc2=e.obj.scale or 1
          local c = draws[e.obj.type] or function() end
          --print("DESTROY PARTICLE TYPE "..e.obj.type)
          c(e.obj,(1+(e.pos*(e.size-1)*sc))*sc2,(1-e.pos)*a,bounds)
          --end
          end
        end,
        food=function(f,sc,a,bounds)
          local a,sc=a or 1, sc or 1
          --if f.x ==math.clamp(f.x,bounds[1]-88*sc,bounds[3]+88*sc) and f.y==math.clamp(f.y,bounds[2]-88*sc,bounds[4]+8*sc) then
          local hp=f.hp/f.maxhp
          if not core.lowq then
          love.graphics.setColor(0*hp,255*hp,0*hp,255*0.1*a)
          for r=0,15 do
            love.graphics.circle("fill",f.x,f.y,r*sc,10)
          end
          else
          love.graphics.setColor(0*hp,255*hp,0*hp,255*a)
           love.graphics.circle("fill",f.x,f.y,15*sc,10)
          end
          --end
        end,
        bonus=function(b,sc,a,bounds)
          local a,sc=a or 1,sc or 1
          --if b.x ==math.clamp(b.x,bounds[1]-88*sc,bounds[3]+88*sc) and b.y==math.clamp(b.y,bounds[2]-88*sc,bounds[4]+88*sc) then
          local sc,a = sc or 1,a or 1
          local color=false
          if b.colorizer then
            color = setfenv(loadstring(b.colorizer,""),{e=b,huge=math.huge})()
          end
          color = type(color)=="table" and color or {255,255,255}
          love.graphics.setColor(color[1] or 255,color[2] or 255,color[3] or 255,255*a)
          local shiftx,shifty=-44,-44
          --if b.hp and b.maxhp then
          --  shiftx=(math.random()*2-1)*44*sc*(1-b.hp/b.maxhp)
          --  shifty=(math.random()*2-1)*44*sc*(1-b.hp/b.maxhp)
          --end
          local bonus=blocks[7]
          if b.bonustype then
            if b.bonustype=="hp+" then
              bonus=blocks[4]
            elseif b.bonustype=="hp-" then
              bonus=blocks[3]
            elseif b.bonustype=="exp" then
              bonus=blocks[5]
            elseif b.bonustype=="shield" then
              bonus=blocks[2]
            elseif b.bonustype=="speed" then
              bonus=blocks[1]
            else
              bonus=blocks[6]
            end
          end
          love.graphics.draw(blockimg,bonus,b.x+shiftx,b.y+shifty,b.r,sc/is,sc/is,44*is,44*is)
          love.graphics.draw(destroyimg,destroys[math.clamp(math.ceil(b.hp/b.maxhp*8),1,8)],b.x+shiftx,b.y+shifty,b.r,sc/is,sc/is,44*is,44*is)
          if b.points then
            love.graphics.polygon("line",unpack(b.points or {}))
          end
          --end
        end
      }
      function love.draw()
        xpcall(function()
        love.graphics.setColor(64,64,64,255)
        love.graphics.rectangle("fill",0,0,love.graphics.getWidth(),love.graphics.getHeight())
        love.graphics.setColor(255,255,255,255)
        love.graphics.scale(1/scale,1/scale)
        if data and data.player then
          -- local width,height=love.graphics.getWidth()*scale,love.graphics.getHeight()*scale
          -- local x,y,r=camera_x-width/2,camera_y-height/2,data.player.r
          -- love.graphics.translate(x,y)
          -- love.graphics.rotate(-r)
          -- local x2,y2=math.rotatepoints(x,y,r)
          -- love.graphics.translate(-x2,-y2)
          local dmrx,dmry=core.getDimensionsRate()
          local offx,offy=0,0
          if data.shake then
            offx=(math.random()*2-1)*22*data.shake
            offy=(math.random()*2-1)*22*data.shake
          end
          camera_x=camera_x+offx
          camera_y=camera_y+offy
          love.graphics.translate(camera_x,camera_y)
          name=data.player.name or name
        end
        local width = love.graphics.getWidth()*scale
        local height = love.graphics.getHeight()*scale
        if data and data.message then
          --outcall(
            local message=data.message
            outfunc = function()
              core.message(message)
            end
            data.message=nil
          --)
        end
        if data then
          if data.disconnect then
            ssend("\15")
            Nomsg=true
            outfunc=function() core.message(data.disconnect) end
            data.disconnect=nil
          end
          if data.mapsize then
            updatebg(width,height,data.mapsize[1],data.mapsize[2])
          end
          if data.player then
            love.audio.setPosition( data.player.x, data.player.y, 0 )
            --if not love.mouse.isDown(2) then
            do
              targetscale=0.5+(data.player.lvl/4)
              target_cx,target_cy=-(data.player.x-width/2),-(data.player.y-height/2)
            -- else
              -- targetscale=0.5
              -- local w,h=love.graphics.getWidth(),love.graphics.getHeight()
              -- target_cx,target_cy=math.clamp((w-love.mouse.getX())-w/2,-w/4,w/4),math.clamp((h-love.mouse.getY())-h/2,-h/4,h/4)
            end
            --love.graphics.translate(camera_x,camera_y)
            prevscale=targetscale
            --love.graphics.translate(-(data.player.x-width/2),-(data.player.y-height/2))
            love.graphics.setColor(255,255,255,255)
            local pl=data.player
            love.graphics.draw(bgout,math.floor(-camera_x/800)*800,math.floor(-camera_y/600)*600)
            if data.mapsize then
              love.graphics.draw(bg,math.clamp(math.floor(-camera_x/88+1)*88-88,-88,(data.mapsize[1]-1-math.ceil(width/88+1))*88),math.clamp(math.floor(-camera_y/88+1)*88-88,-88,(data.mapsize[2]-1-math.ceil(height/88+1))*88))
            end
  --          print(data.player.x,data.player.y,-(data.player.x-love.graphics.getWidth()/2),-(data.player.y-love.graphics.getHeight()/2))
          else
  --          print(core.dat(nil,"ERROR! No data.player detected."))
          end
          if data.sounds and next(data.sounds) then
            for k,v in pairs(data.sounds) do
              table.insert(soundsToPlay,v)
            end
            data.sounds={}
          else
            --print("ERROR! No data.sounds detected")
          end
          if data.skins and next(data.skins) then
            for k,v in pairs(data.skins) do
              print("SKIN: "..k)
              skins[k]=parseimg(v)
            end
            --data.skins={}
          end
          if data.objects and data.player then
            local objects=false
            for k,v in pairs(data.objects) do
              objects=true
  --            print(core.dat(nil,"DRAWING OBJECT "..v.type))
              local c = draws[v.type] or function() end
              if v.type=="player" then
                pls[v.name]=v
              end
              xpcall(function()c(v,v.scale,nil,{-camera_x-width/2,-camera_y-height/2,-camera_x+width/2,-camera_y+height/2},draws)end,print)
            end
            if not objects then
              print("Error! No objects detected")
            else
  --            print(#data.objects)
            end
          else
            print(core.dat(nil,"ERROR! No data.objects detected."))
          end
        else
          print(core.dat(nil,"ERROR! No data detected."))
        end
        love.graphics.origin()
        love.graphics.setColor(255,0,0,128)
        local w,h=love.graphics.getWidth(),love.graphics.getHeight()
        if data and data.player then
          love.graphics.rectangle("fill",0,h-h/16,w,h/16)
          love.graphics.setColor(0,255,0,128)
          love.graphics.rectangle("fill",0,h-h/16,w*(data.player.hp/data.player.maxhp),h/16)
          love.graphics.setColor(255,255,255,255)
          love.graphics.print(math.floor(data.player.hp).."/"..math.floor(data.player.maxhp).." HP",10,h-h/16+2,0,2)
        end
        if data and data.chat and next(data.chat) then
          for k,v in ipairs(data.chat) do
            chatalpha=255
            chat=chat..v.."\n"
            for n=1,core.linecount(v)+1 do
              table.insert(chattimers,{0-((n-1)*0.01),1})
            end
          end
          data.chat={}
        end
        if (data and data.scoreboard) or leaderboard then
          leaderboard=(data and data.scoreboard) or leaderboard
          love.graphics.printf(data.scoreboard or leaderboard or "",w/2,10,w/4,"center",0,2)
        end
        love.graphics.setColor(0,0,0,64*(chatalpha/255))
        love.graphics.rectangle("fill",0,h/2,w/2,h/2)
        love.graphics.setColor(255,255,255,255)
        love.graphics.printf(chat,0,h/2,w/4,"left",0,2)
        --love.graphics.rectangle("line",0,0,blockimg:getWidth(),blockimg:getHeight())
        --love.graphics.draw(blockimg,0,0)
        love.graphics.print(math.floor(traffic/1024/1024*100)/100 .. " MiB traffic ("..math.floor(trafficsec/1024/1024*100)/100 .." MiB/sec)",10,10)
        if core.joysticke then
        love.graphics.setColor(0,64,255,128)
        love.graphics.circle("fill",800-128-10,600-128-10,128,128)
        love.graphics.setColor(0,0,255,255)
        love.graphics.circle("fill",800-128-10+(isba and btnx or 0),600-128-10+(isba and btny or 0),32,32)
        end
        end,print)
      end
      if outfunc then
      pcall(outfunc)
      print("Called outfunc")
      outfunc=false
      end
      if End then
        client:close()
        break
      end
      core.step()
          if data.respawn then
            --RESPAWN=true
            --ssend("\15")
            --Nomsg=true
            core.showAd()
            if core.sounds then
            local source=snds["death"]:clone()
            defm:stop()
            lowhpm:stop()
            highlevelm:stop()
            ultram:stop()
            gaster:stop()
            source:play()
            loser:stop()
            loser:setRelative(true)
            loser:play()
            end
            core.message((data.killer and ("You're killed by "..data.killer) or "You're dead"),core.scrsh(128),255,loser:getDuration()-1)
            core.fadeout()
            data.respawn=nil
            core.hideAd()
          end
      olddata=data
      if data and data.player then
        pcall(checkmusic,data.player)
      end
    end
    if not RESPAWN then
      core.message("SERVER_QUIT")
      break
    end
  end
end