do
  local defs={music=true,sounds=true,resolution={800,600},fullscreen=true,lowq=false,maxtraffic=0.1,controls="n/o",joystick=false,nickname="Player"..math.random(1000000,9999999)}
  core.settings=defs
  function core.loadSettings()
    local data=love.filesystem.read("config.dat")
    local udata=core.s.unserialize(data)
    core.settings=(type(udata)=="table" and udata or defs)
    core.music=core.settings.music
    core.sounds=core.settings.sounds
    core.lowq=core.settings.lowq
    core.maxtraffic=core.settings.maxtraffic or 0.1
    core.controls=core.settings.controls or "o/n"
    core.joysticke=core.settings.joysticke or (not love.mouse.hasCursor())
    core.nickname=core.settings.nickname or "Player"..math.random(1000000,9999999)
    return udata
  end
  function core.saveSettings()
    core.settings.music=core.music
    core.settings.sounds=core.sounds
    core.settings.lowq=core.lowq
    core.settings.maxtraffic=core.maxtraffic
    core.settings.nickname=core.nickname
    local w,h,o=love.window.getMode()
    core.settings.resolution={w,h}
    core.settings.fullscreen=love.window.getFullscreen()
    return love.filesystem.write("config.dat",core.s.serialize(core.settings))
  end
end